## swh-lv2 1.0.15+20091215.git2358739

=== debian/changelog ===
swh-lv2 (1.0.15+20091215.git2358739-1) unstable; urgency=low

  * Initial release (Closes: #523518).

 -- Alessio Treglia <alessio@debian.org>  Tue, 07 Sep 2010 12:04:06 +0200
