## swh-lv2 1.0.15+20110312.git9c9935e

=== debian/changelog ===
swh-lv2 (1.0.15+20110312.git9c9935e-2) unstable; urgency=low

  * Fix FTBFS on non-Linux archs.

 -- Alessio Treglia <alessio@debian.org>  Tue, 17 May 2011 13:36:37 +0200

swh-lv2 (1.0.15+20110312.git9c9935e-1) unstable; urgency=low

  * Imported Upstream version 1.0.15+20110312.git9c9935e:
    - Added patch from Dave Robillard which add dc:replaces triples
      mapping from LV@ to LADSPA plugins.
  * debian/get-git-source.sh:
    - Use tar's --exclude-vcs option to strip out the .git directory.
    - Append --no-color to git log.
  * debian/gbp.conf: Set compression = bzip2.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 17 May 2011 11:47:08 +0200
