=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export OS := $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
 
 %:
 	dh $@
