## swh-lv2 1.0.15+20111107.gitec6b85e

=== debian/changelog ===
swh-lv2 (1.0.15+20111107.gitec6b85e-1) unstable; urgency=low

  * New upstream snapshot.
  * Set PREFIX in debian/rules to override the default value set
    in the Makefile.
  * Replace lv2core with lv2-dev in Build-Depends.
  * Refresh patches.
  * Fix watch file.
  * Update debian/copyright to the machine-readable format.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 16 May 2012 22:06:18 +0200
