=== debian/control ===
--- 
+++ 
@@ -2,22 +2,26 @@
 Section: sound
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Alessio Treglia <alessio@debian.org>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 7.0.50~),
- lv2core,
+Uploaders:
+ Alessio Treglia <alessio@debian.org>
+Standards-Version: 3.9.3
+Build-Depends:
+ debhelper (>= 7.0.50~),
  libfftw3-dev,
  libgsm1-dev,
+ lv2-dev,
  xsltproc
 Homepage: http://github.com/swh/lv2
 Vcs-Git: git://git.debian.org/pkg-multimedia/swh-lv2.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/swh-lv2.git
 
 Package: swh-lv2
-Provides: lv2-plugin
+Provides:
+ lv2-plugin
 Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: Steve Harris's SWH plugins ported to LV2
  This package provides Steve Harris's SWH plugins ported to the
  LV2 specification.
