=== debian/changelog ===
swh-lv2 (1.0.15+20130517.git978d5d8-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * Added myself as uploader

  [ Alessio Treglia ]
  * New upstream snapshot:
    - Add two new plugins.
  * Refresh patches.
  * Enable hardening:
    - Bump DH compat to 9.
    - Add patch to let buildsystem accept CPPFLAGS.
  * Various little improvements and updates to debian/copyright.
  * Fix VCS URLs as per canonical form.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 09 Oct 2013 09:32:26 +0100
