=== debian/control ===
--- 
+++ 
@@ -3,17 +3,18 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Alessio Treglia <alessio@debian.org>
-Standards-Version: 3.9.3
+ Alessio Treglia <alessio@debian.org>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper (>= 9~),
  libfftw3-dev,
  libgsm1-dev,
  lv2-dev,
  xsltproc
 Homepage: http://github.com/swh/lv2
-Vcs-Git: git://git.debian.org/pkg-multimedia/swh-lv2.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/swh-lv2.git
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/swh-lv2.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/swh-lv2.git
 
 Package: swh-lv2
 Provides:
