=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export OS := $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
+export PREFIX=/usr
 
 %:
 	dh $@
