## swh-lv2 1.0.15+git20151104~repack0

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 split-swh.lv2 surround_encoder-swh.lv2 svf-swh.lv2 \
 tape_delay-swh.lv2 transient-swh.lv2 triple_para-swh.lv2 valve-swh.lv2 \
 valve_rect-swh.lv2 vynil-swh.lv2 wave_terrain-swh.lv2 xfade-swh.lv2 \
-zm1-swh.lv2 \
+zm1-swh.lv2 offset-swh.lv2 \
 a_law-swh.lv2 u_law-swh.lv2
 
 FFT_PLUGINS = mbeq-swh.lv2 pitch_scale-swh.lv2
