=== debian/changelog ===
swh-lv2 (1.0.15+git20151104~repack0-1) unstable; urgency=medium

  * Bump Standards.
  * Set compression xz.
  * Drop old repacking script.
  * Introduce get-orig-source.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 04 Nov 2015 06:16:22 +0100
