=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  lv2-dev,
  xsltproc
 Homepage: http://github.com/swh/lv2
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/swh-lv2.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/swh-lv2.git
