=== debian/watch ===
version=3
http://plugin.org.uk/lv2/swh-lv2-(.*)\.tar\.gz
