## swh-lv2 1.0.16+git20160519~repack0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 PREFIX = /usr/local
 INSTALL_DIR = $(PREFIX)/lib/lv2
 
-VERSION = 1.0.15
+VERSION = 1.0.16
 
 PLUGINS = alias-swh.lv2 allpass-swh.lv2 am_pitchshift-swh.lv2 amp-swh.lv2 \
 analogue_osc-swh.lv2 bandpass_a_iir-swh.lv2 bandpass_iir-swh.lv2 \
@@ -61,6 +61,9 @@
 gverb: gverb/gverb.c gverb/gverbdsp.c gverb/gverb.o gverb/gverbdsp.o
 	(cd gverb && make -w CFLAGS="$(PLUGIN_CFLAGS)" LDFLAGS="$(PLUGIN_LDFLAGS)")
 
+util/pitchscale.o:
+	$(CC) $(PLUGIN_CFLAGS) $(fftw3_CFLAGS) $*.c -c -o $@
+
 util: util/blo.o util/iir.o util/db.o util/rms.o util/pitchscale.o
 
 %.c: OBJ = $(shell echo $@ | sed 's/\.c$$/-@OS@.$(EXT)/')
@@ -71,7 +74,7 @@
 %.ttl: %.xml xslt/turtle.xsl
 	xsltproc -novalid xslt/turtle.xsl $*.xml | sed 's/\\/\\\\/g' > $@
 
-%.o: NAME = $(shell echo -n $@ | sed 's/plugins\/\(.*\)-swh.*/\1/')
+%.o: NAME = $(shell echo $@ | sed 's/plugins\/\(.*\)-swh.*/\1/')
 %.o: %.c
 	$(CC) $(PLUGIN_CFLAGS) $($(NAME)_CFLAGS) $*.c -c -o $@
 
@@ -95,7 +98,7 @@
 install-system: INSTALL_DIR_REALLY=$(INSTALL_DIR)
 install-system: all install-really
 
-install-user: INSTALL_DIR_REALLY=~/.lv2/bundles
+install-user: INSTALL_DIR_REALLY=~/.lv2
 install-user: all install-really
 
 install-really:
