=== debian/changelog ===
swh-lv2 (1.0.16+git20160519~repack0-3) unstable; urgency=medium

  * Set dh/compat 10.
  * Update copyright file.
  * Sign tags.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 26 Dec 2016 21:43:06 +0100

swh-lv2 (1.0.16+git20160519~repack0-2) unstable; urgency=medium

  * Fix bindnow hardening.
  * Update README.source file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 02 Jun 2016 08:18:21 +0200

swh-lv2 (1.0.16+git20160519~repack0-1) unstable; urgency=medium

  * Imported Upstream version 1.0.16+git20160519~repack0 (Closes: #824719)
  * Refresh patches.
  * Bump Standards.
  * Fix VCS fields.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 19 May 2016 13:21:57 +0200
