=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 9~),
+ debhelper (>= 10),
  libfftw3-dev,
  libgsm1-dev,
  lv2-dev,
  xsltproc
 Homepage: http://github.com/swh/lv2
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/swh-lv2.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/swh-lv2.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/swh-lv2.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/swh-lv2.git
 
 Package: swh-lv2
 Provides:
