=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,8 @@
 git_date= $(shell date +%Y%m%d)
 dfsg_version = $(upstream_version)+git$(git_date)~repack0
 pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
 %:
 	dh $@
