=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/swh-lv2-$1\.tar\.gz/ \
  https://github.com/swh/lv2/tags .*/v?(\d\S*)\.tar\.gz
